<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/components/View/Login/RestorePassword.vue</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../../prettify.css" />
    <link rel="stylesheet" href="../../../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../../../index.html">all files</a> / <a href="index.html">src/components/View/Login/</a> RestorePassword.vue
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>0/19</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/4</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/8</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>0/19</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&lt;template&gt;
  &lt;modal
    class="arcticmodal-container"
    name="restore-password"
    height="auto"
    :minWidth="300"
&nbsp;
    :resizable="true"
    :adaptive="true"
    :reset="true"
    :delay="1"
    @before-close="beforeModalClose"
  &gt;
    &lt;form @submit.prevent="doRestorePassword"&gt;
      &lt;div id="forgot-password-modal" class="box-modal forgot-password-modal"&gt;
      &lt;div class="container m-header"&gt;
        &lt;div
          @click="close()"
          class="box-modal_close arcticmodal-close"&gt;&lt;/div&gt;
        &lt;div class="row"&gt;
          &lt;div class="column"&gt;
            &lt;h3&gt;Восстановить пароль&lt;/h3&gt;
          &lt;/div&gt;
        &lt;/div&gt;
      &lt;/div&gt;
      &lt;div class="container"&gt;
        &lt;p&gt;Выберите удобный способ восстановления пароля. Ссылка для смены пароля будет выслана на адрес вашей
          электронной
          почты.&lt;/p&gt;
        &lt;h3 class="header-marg"&gt;Я помню:&lt;/h3&gt;
        &lt;div class="tabs"&gt;
          &lt;div class="row"&gt;
            &lt;div class="column center"&gt;
              &lt;ul class="tabs__caption"&gt;
                &lt;li
                  @click="emailActive"
                  :class="form.email ? 'active' : ''"
                &gt;
                  Email
                &lt;/li&gt;
                &lt;li
                  @click="loginActive"
                  :class="form.login ? 'active' : ''"
                &gt;
                  Логин
                &lt;/li&gt;
                &lt;li
                  @click="phoneActive"
                  :class="form.phone ? 'active' : ''"
                &gt;
                  Телефон
                &lt;/li&gt;
              &lt;/ul&gt;
            &lt;/div&gt;
          &lt;/div&gt;
&nbsp;
          &lt;div class="tabs__content"&gt;
&nbsp;
            &lt;div v-if="form.email === true"&gt;
              &lt;label for="f-email"&gt;Адрес электронной почты, на которую зарегистрирован аккаунт&lt;/label&gt;
              &lt;input
                v-model="user.email"
                type="text"
                name="f-email"
                id="f-email"
              /&gt;
            &lt;/div&gt;
            &lt;div v-if="form.login"&gt;
              &lt;label for="f-login"&gt;Ваш логин&lt;/label&gt;
              &lt;input
                v-model="user.login"
                type="text"
                name="f-login"
                id="f-login"
              /&gt;
            &lt;/div&gt;
            &lt;div v-if="form.phone"&gt;
              &lt;label for="f-phone"&gt;Телефон, на который зарегистрирован аккаунт&lt;/label&gt;
              &lt;input
                v-model="user.phone"
                type="text"
                name="f-phone"
                id="f-phone"
              /&gt;
            &lt;/div&gt;
&nbsp;
            &lt;div&gt;
              &lt;label for="f-fio"&gt;Фамилия, на которую зарегистрирован аккаунт&lt;/label&gt;
              &lt;input
                v-model="user.fio"
                type="text"
                name="f-fio"
                id="f-fio"
              /&gt;
            &lt;/div&gt;
          &lt;/div&gt;
&nbsp;
        &lt;/div&gt;
        &lt;div class="center"&gt;
          &lt;button
            :disabled="user.fio === '' || (user.email === '' &amp;&amp; user.login === '' &amp;&amp; user.phone === '' )"
          &gt;Восстановить пароль
          &lt;/button&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;
    &lt;/form&gt;
  &lt;/modal&gt;
&lt;/template&gt;
&nbsp;
&lt;script&gt;
  export default {
    data () {
<span class="cstat-no" title="statement not covered" >      return {</span>
        user: {
          email: '',
          login: '',
          phone: '',
          fio: ''
        },
        form: {
          email: true,
          login: false,
          phone: false
        }
      }
    },
    methods: {
      doRestorePassword: function (<span class="fstat-no" title="function not covered" >) {</span>
&nbsp;
      },
      emailActive: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        this.form.email = tru</span>e
<span class="cstat-no" title="statement not covered" >        this.form.login = fals</span>e
<span class="cstat-no" title="statement not covered" >        this.form.phone = fals</span>e
<span class="cstat-no" title="statement not covered" >        this.clearForm(['fio']</span>)
      },
      loginActive: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        this.form.email = fals</span>e
<span class="cstat-no" title="statement not covered" >        this.form.login = tru</span>e
<span class="cstat-no" title="statement not covered" >        this.form.phone = fals</span>e
<span class="cstat-no" title="statement not covered" >        this.clearForm(['fio']</span>)
      },
      phoneActive: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        this.form.email = fals</span>e
<span class="cstat-no" title="statement not covered" >        this.form.login = fals</span>e
<span class="cstat-no" title="statement not covered" >        this.form.phone = tru</span>e
<span class="cstat-no" title="statement not covered" >        this.clearForm(['fio']</span>)
      },
      clearForm: function (arKeys<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        Object.keys(this.user).map((key) =<span class="fstat-no" title="function not covered" >&gt; {</span></span>
<span class="cstat-no" title="statement not covered" >          if (arKeys === undefined || !arKeys.includes(key)) {</span>
<span class="cstat-no" title="statement not covered" >            this.user[key] = '</span>'
          }
        })
      },
      close: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        this.$modal.hide('restore-password'</span>)
      },
      beforeModalClose: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        this.clearForm(</span>)
<span class="cstat-no" title="statement not covered" >        this.emailActive(</span>)
      }
    },
    name: 'restore-password'
  }
&lt;/script&gt;
&nbsp;
&lt;style lang="scss"&gt;
  .box-modal
    margin: 0
&nbsp;
  .v--modal-overlay .v--modal-box
    border-radius: 10px
    //margin:30px
&nbsp;
    form
      margin-bottom:0
&nbsp;
  .tabs__content
    display:block
&lt;/style&gt;
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../../../sorter.js"></script>
</body>
</html>
